Subject: [netatalk-admins] Problems with 1.4b2+asun2.0a15 on Linux

From: [email-masked]
Date: Wed, 27 Aug 1997 19:56:12 -1000

----- this is a re-post, it didn't seem to work the first time -----------

Hi fellow netatalkers,

I'm using Netatalk 1.4b2+asun2.0a15 on a RedHat 4.2  (intel based)
Linux box.

I'm experiencing serious problems :

- Some connections (wether AppleTalk based or IP based) happen to
close unexpectedly. Here is what I find with syslog :

via AppleTalk :

Aug 22 08:40:32 lyloo afpd[2600]: session from 5.26:242 on 5.160:134
Aug 22 08:40:32 lyloo afpd[2600]: login lautelli (uid 821, gid 841)
Aug 22 08:42:23 lyloo afpd[2600]: asp_cmdreply: Bad file number
Aug 22 08:42:23 lyloo afpd[2600]: atp_sreq: Bad file number
Aug 22 08:42:23 lyloo afpd[2600]: afp_die: asp_shutdown: Bad file number
Aug 22 08:42:23 lyloo afpd[328]: server_child[0] 2600 exited 1

via TCP/IP :

Aug 26 08:34:17 lyloo afpd[7598]: ASIP session:548(2) from 192.168.4.36:2051(0)
Aug 26 08:34:17 lyloo afpd[7598]: login lautelli (uid 821, gid 841)
Aug 26 08:56:02 lyloo afpd[7598]: dsi_cmdreply: Bad file number
Aug 26 08:56:02 lyloo afpd[328]: server_child[1] 7598 exited 1

- Child afpd don't die when the client Mac is rebooted or stopped

- I can't kill and restart the netatalk processes. Here is what I get
when I try to :

Aug 26 11:43:07 lyloo afpd[8278]: Can't register lyloo:AFPServer@*
Aug 26 11:43:07 lyloo afpd[8278]: ASIP started on 192.168.4.62:548(1) (1.4b2+asun2.0a15) 
Aug 26 11:43:17 lyloo afpd[8278]: Can't register lyloo:AFPServer@*
Aug 26 11:43:17 lyloo afpd[8278]: main: dsi_init: Address already in use
Aug 26 11:43:27 lyloo afpd[8278]: Can't register lyloo pour TA:AFPServer@*
Aug 26 11:43:27 lyloo afpd[8278]: main: dsi_init: Address already in use
Aug 26 11:43:38 lyloo afpd[8278]: Can't register lyloo:AFPServer@*
Aug 26 11:43:38 lyloo afpd[8278]: main: dsi_init: Address already in use

- I can't kill -HUP afpd :

Aug 26 11:40:03 lyloo afpd[328]: disallowing logins
Aug 26 11:40:05 lyloo afpd[328]: re-reading configuration file
Aug 26 11:40:23 lyloo afpd[328]: Can't register lyloo:AFPServer@*
Aug 26 11:40:23 lyloo afpd[328]: ASIP started on 192.168.4.62:548(2) (1.4b2+asun2.0a15) 
Aug 26 11:40:33 lyloo afpd[328]: Can't register lyloo:AFPServer@*
Aug 26 11:40:33 lyloo afpd[328]: main: dsi_init: Address already in use
Aug 26 11:40:43 lyloo afpd[328]: Can't register lyloo pour TA:AFPServer@*
Aug 26 11:40:43 lyloo afpd[328]: main: dsi_init: Address already in use
Aug 26 11:40:52 lyloo afpd[328]: Can't register lyloo:AFPServer@*
Aug 26 11:40:52 lyloo afpd[328]: main: dsi_init: Address already in use
Aug 26 11:40:52 lyloo afpd[328]: main: asp_getsession: Bad file number

- Here is what I get  at boot time :

Aug 26 11:47:22 lyloo afpd[336]: lyloo:AFPServer@* started on 5.197:128 (1.4b2+asun2.0a15)
Aug 26 11:47:22 lyloo afpd[336]: ASIP started on 192.168.4.62:548(2) (1.4b2+asun2.0a15) 
Aug 26 11:47:28 lyloo afpd[336]: lyloo:AFPServer@* started on 5.197:129 (1.4b2+asun2.0a15)
Aug 26 11:47:28 lyloo afpd[336]: main: dsi_init: Address already in use
Aug 26 11:47:34 lyloo afpd[336]: lyloo pour TA:AFPServer@* started on 5.197:130 (1.4b2+asun2.0a15)
Aug 26 11:47:34 lyloo afpd[336]: main: dsi_init: Address already in use
Aug 26 11:47:40 lyloo afpd[336]: lyloo:AFPServer@* started on 5.197:131 (1.4b2+asun2.0a15)
Aug 26 11:47:40 lyloo afpd[336]: main: dsi_init: Address already in use

- I often have  Mac clients that freeze when connected to a Netatalk
volume which is NFS-mounted on my Linux box (from an AIX box - BTW
does Netatalk tun on AIX ?)

Any help would be *GREATLY* appreciated (some of the users are not far 
from wanting to unscrew my head and play soccer with it...)

Anyway, netatalk is a great tool.

-- 
                                                       _ 
David PAQUET             email : [email-masked]       __\ /\
System Coconut           phone : +689 861214         / _\|__ 
                         fax   : +689 861019          //o\\ \ 
                                                      |   \\
Civil Aviation                                             ||
TAHITI - French Polynesia ________________________________/  \

---

From: [email-masked]
Date: Fri, 29 Aug 1997 02:12:55 -1000

On 28 August 1997, a sun ([email-masked]) writes:

> 
> umm, i take it you're running an unmodified 2.0.30 or something like
> that. it looks like two things are happening: 
> 	1) you killed atalkd at some time and restarted it. 2.0.30 and
>            earlier can't deal w/ that.
> 	2) you're forgetting to add in -port in your afpd.conf for
>            everything but the first entry.
> 
> -a

Thank you for answering me. I'v added the patch to my 2.0.30 kernel
as well a -port option for the second server but I still get this :

<after a kill -HUP>
Aug 29 01:44:54 lyloo afpd[368]: re-reading configuration file
Aug 29 01:45:00 lyloo afpd[368]: lyloo:AFPServer@* started on 5.65:128 (1.4b2+asun2.0a15)
Aug 29 01:45:00 lyloo afpd[368]: ASIP started on 192.168.4.62:548(2) (1.4b2+asun2.0a15) 
Aug 29 01:45:06 lyloo afpd[368]: serveur lyloo:AFPServer@* started on 5.65:129 (1.4b2+asun2.0a15)
Aug 29 01:45:06 lyloo afpd[368]: main: dsi_init: Address already in use
Aug 29 01:45:12 lyloo afpd[368]: lyloo pour TA:AFPServer@* started on 5.65:130 (1.4b2+asun2.0a15)
Aug 29 01:45:12 lyloo afpd[368]: ASIP started on 192.168.4.62:12000(7) (1.4b2+asun2.0a15) 
Aug 29 01:45:18 lyloo afpd[368]: lyloo:AFPServer@* started on 5.65:131 (1.4b2+asun2.0a15)
Aug 29 01:45:18 lyloo afpd[368]: main: dsi_init: Address already in use

here is my afpd.conf :

"serveur lyloo" -transall -loginmesg "Bienvenue sur lyloo !"
"lyloo pour TA" -transall -port 12000 -loginmesg "Bienvenue sur lyloo pour TA !" -defaultvol /usr/local/atalk/etc/AppleVolumes.ta

 A third server shows up in the Macs' chooser, it's the default one (its
name is the hostname -ie- lyloo). How to bypass this default behaviour ?

Is there a way to use the chooser to select a server but make the
actual connection using the IP and port. (I mean, the users of my
network wouldn't have to type lyloo:12000 in the dialog box)

Last question, what's the use of the two nbprgstr calls in the rc
scripts ?

Thanks in advance.